@font-face {
    font-family: Montserrat; /* set name */
    src: url('./../fonts/Montserrat-VariableFont_wght.ttf') format('truetype'); /* url of the font */
}
* {
    font-family: Montserrat;
    box-sizing: border-box;
    margin: 0;
}
html {
    font-family: Montserrat;
}
body {
    position: relative;
}
.header {
    height: 110px;
    width: 100dvw;
    background-color: #55585f;
    display: flex;
    justify-content: center;
    color: white;
}
.header__inner {
    padding: 15px 0;
    max-width: 1180px;
    width: 100%;
    display: flex;
    gap: 20px;
}
.header__inner > div > span {
    font-size: 18px;
    font-style: normal;
    font-weight: 400;

    letter-spacing: -0.2px;
    text-transform: uppercase;
}
.header__inner h1 {
    font-family: Montserrat;
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    letter-spacing: -0.05px;
    text-transform: uppercase;
    height: 32px;
}
.header__social {
    display: flex;
    gap: 10px;
    align-items: center;
    padding-right: 8px;
}
.header__fb,
.header__you {
    display: inline-block;
    width: 24px;
    height: 24px;
}
.header__fb {
    background: url(../images/fb.svg) center center no-repeat;
}
.header__you {
    background: url(../images/yt.svg) center center no-repeat;
}
.header__inner > div {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: end;
}
.header__title-row {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.header__logo {
    display: inline-block;
    height: 80px;
    width: 110px;
    background: url(../images/logo.svg) center bottom no-repeat;
    background-size: contain;
}
#map {
    width: 100dvw;
    height: calc(100vh - 110px);
}
.popup h4 {
    color: #000;
    font-family: Montserrat;
    font-size: 11.25px;
    font-style: normal;
    font-weight: 500;
    line-height: 120%;
    margin-bottom: 18.75px;
    min-width: 270px;
}
.popup span {
    color: #000;
    font-family: Montserrat;
    font-size: 10px;
    font-style: normal;
    font-weight: 600;
    line-height: 120%; /* 11.25px */
    text-transform: uppercase;
    display: block;
    margin-bottom: 10px;
}
.popup nav {
    display: flex;
    gap: 4px;
    flex-wrap: wrap;
}
.popup nav button {
    color: #027884;
    font-family: Montserrat;
    font-size: 13.125px;
    font-style: normal;
    font-weight: 600;
    line-height: 120%;
    border: none;
    background-color: transparent;
    width: 85px;
    cursor: pointer;
    padding: 0;
    text-align: start;
}
.popup .popup__info {
    margin-top: 8px;
}

.map-search-container {
    display: flex;
    gap: 10px;
    padding: 10px;
    flex-wrap: wrap;
}
.map-select-container {
    position: relative;
}
.map-select-container::after {
    position: absolute;
    content: '';
    display: inline-block;
    width: 24px;
    height: 24px;
    top: 10px;
    right: 20px;
    background: url('./images/down-arrow.svg') no-repeat right #fff;
    pointer-events: none;
    z-index: 1;
}
.map-input-container {
    border-radius: 100px;
    background-color: white;
    border: 1px solid #017c89;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 16px;
}
.map-input-container input {
    padding: 8px;
    border-radius: 4px;
}
.map-input-container input:focus {
    outline: 2px solid #fc877c;
}
.map-search-input {
    width: 310px;
    border: none;
}
.map-input-title {
    display: inline-block;
    margin-right: 20px;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 120%;
}
.leaflet-control {
    border: none !important;
}
.map-search-select {
    position: relative;
    padding: 12px 48px 12px 16px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 100px;
    background-color: white;
    border: 1px solid #017c89;
    color: #000;

    font-family: Montserrat;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 130%;
}

.marker-cluster div {
    font-size: 14px;
    font-style: normal;
    font-weight: bold;
    line-height: 120%;
    color: white;
}
.marker-cluster-small {
    background-color: rgba(1, 124, 137, 0.6);
}
.marker-cluster-small div {
    background-color: #017c89;
}
.marker-cluster-medium {
    background-color: rgba(1, 124, 137, 0.6);
}
.marker-cluster-medium div {
    background-color: #017c89;
}

.marker-cluster-large {
    background-color: rgba(1, 124, 137, 0.6);
}
.marker-cluster-large div {
    background-color: #017c89;
}
.map-modal {
    position: absolute;
    width: 100vw;
    min-height: 100vh;
    z-index: 999999999;
    inset: 0;
    background: rgba(0, 0, 0, 0.25);
    overflow-y: auto;
}
.map-modal__inner {
    margin-left: auto;
    min-height: 100vh;
    max-width: min(100vw, 545px);
    width: 100%;
    background-color: white;
    padding: 30px 30px 120px 30px;
}
.d-none {
    display: none !important;
}
.map-modal__close {
    width: 40px;
    height: 40px;
    border: 1px solid #97a5b0;
    padding: 8px;
    background: url(../images/close.svg) center center no-repeat;
    border-radius: 4px;
    background-color: transparent;
}
.map-modal__section-number {
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: 120%; /* 19.2px */
    text-transform: uppercase;
    color: black;
}
.map-modal__main {
    margin-top: 20px;
}
.map-modal__main h1 {
    color: #017c89;
    font-family: Montserrat;
    font-size: 48px;
    font-style: normal;
    font-weight: 700;
    line-height: 100%;
    margin-top: 5px;
    width: 100%;
    display: flex;
    justify-content: start;
    gap: 2rem;
    margin-bottom: 20px;
}
.map-modal__proto-type {
    text-align: center;
    font-family: Montserrat;
    font-size: 24px;
    font-style: normal;
    font-weight: 700;
    line-height: 100%;
    padding: 10px 15px;
    border: 1px solid #017c89;
}
.map-modal__proto-type:first-child {
    border-radius: 4px 0 0 4px;
}
.map-modal__proto-type:last-child {
    border-radius: 0 4px 4px 0;
}
.map-modal__label {
    color: #000;
    font-family: Montserrat;
    font-size: 12px;
    font-style: normal;
    font-weight: 700;
    line-height: 120%;
    text-transform: uppercase;
}
.map-modal__address {
    display: block;
    color: #000;
    font-family: Montserrat;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 120%;
    margin-top: 5px;
    margin-bottom: 30px;
    text-transform: uppercase;
}
.map-modal__video-container {
    margin-top: 18px;
    display: flex;
    gap: 1rem;
    align-items: center;
    margin-bottom: 30px;
}
.map-modal__video-container a {
    margin-left: auto;
    color: #017c89;
    font-family: Montserrat;
    font-size: 12px;
    font-style: normal;
    font-weight: 600;
    line-height: 120%; /* 14.4px */
    text-decoration-line: underline;
    text-decoration-style: solid;
    text-decoration-skip-ink: auto;
    text-decoration-thickness: auto;
    text-underline-offset: auto;
    text-underline-position: from-font;
}
.map-modal__video-container i {
    display: inline-block;
    width: 24px;
    height: 24px;
}
.map-modal__video-container i.yes {
    background: url(../images/correct.svg) center center no-repeat;
}
.map-modal__video-container i.no {
    margin-left: auto;
    background: url(../images/not-correct.svg) center center no-repeat;
}
.map-modal__data-container {
    margin-top: 10px;
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    width: 100%;
}
.map-modal__data-item {
    flex: 1 0 calc(50% - 5px);
    max-width: calc(50% - 5px);
    padding: 20px;
    border-radius: 4px;
    border: 1px solid #dcdcdc;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: start;
}
.map-modal__data-value {
    display: block;
    margin-top: 5px;
    color: #000;
    font-family: Montserrat;
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    line-height: 120%;
}
.map-switch-container {
    padding: 10px;
    display: flex;
    align-items: center;
    gap: 15px;
}
.switch-group {
    max-height: 36px;
    display: flex;
    gap: 5px;
    justify-content: start;
    align-items: center;
}
.switch {
    position: relative;
    display: inline-block;
    width: 42px;
    height: 22px;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 2px;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}

.slider:before {
    position: absolute;
    content: '';
    height: 16px;
    width: 16px;
    left: 4px;
    bottom: 3px;
    background-color: white;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}

input:checked + .slider {
    background-color: #017c89;
}

input:focus + .slider {
    box-shadow: 0 0 1px #017c89;
}

input:checked + .slider:before {
    -webkit-transform: translateX(16px);
    -ms-transform: translateX(16px);
    transform: translateX(16px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 100px;
}

.slider.round:before {
    border-radius: 50%;
}
.div-icon {
    position: relative;

    border: 50%;
    background-color: #ffc207;
    border-radius: 50%;
    border: none;
}
.div-icon .div-icon__num {
    /* border: 4px solid rgba(255, 194, 7, 0.6) !important;
     */
    border: 4px solid rgba(255, 194, 7, 0.2);
    box-sizing: border-box;
    position: absolute;
    top: -80px;
    left: -24px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 48px;
    height: 48px;
    background-color: #ffc207;
    border-radius: 50%;
    color: #000;
    text-align: center;
    font-family: Montserrat;
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: 120%;
}
.div-icon .div-icon__text {
    top: -20px;
    left: 50%;
    transform: translate(-50%, 0);
    position: absolute;
    padding: 8px 20px;
    border-radius: 100px;
    border: 1px solid black;
    color: #000;
    text-align: center;
    font-family: Montserrat;
    font-size: 10px;
    font-style: normal;
    font-weight: 700;
    line-height: 120%; /* 12px */
    text-transform: uppercase;
    background-color: white;
    text-wrap: nowrap;
}
.leaflet-control-attribution > a:first-child {
    display: none;
}
.leaflet-control-attribution > span {
    display: none;
}
.report-coord {
    display: inline-block;
}
.report-coord > button {
    font-size: 12px;
    border: none;
    /* color: white; */
    margin-bottom: 4px;
    padding: 2px 4px;
    border-radius: 4px;
    background-color: transparent;
}
.report-position {
    color: red;
}
.confirm-position {
    color: green;
}
.report-coord__text {
    border-radius: 4px;
    font-size: 10px !important;
    text-transform: lowercase !important;
    display: flex;
    flex-direction: column;
}
.report-coord__text span {
    text-transform: lowercase !important;
}
.report-coord__text button {
    width: fit-content;
}
.report-coord__text--closed {
    max-height: 0;
    overflow: hidden;
    transition: all 0.4s;
}
.report-coord__text--open {
    max-height: 80px;
    overflow: hidden;
    transition: all 0.4s;
}

.confirmed {
    filter: invert(100%);
}

#chart {
    width: min(340px, 80vw);
    margin: auto;
    margin-top: 10px;
}
.graph {
    margin-top: 1rem;
    color: #000;
    font-size: 12px;
    font-style: normal;
    font-weight: 500;
    line-height: 120%; /* 14.4px */
    text-transform: uppercase;
    border: 1px solid #dcdcdc;
    border-radius: 4px;
    padding: 20px;
    width: 100%;
}

.mandates .mandates__container {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    gap: 2px;
    justify-content: start;
    margin-top: 20px;
}
.mandates .map-modal__label {
    display: inline-block;
    margin-top: 1rem;
}

.mandates__container span {
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    width: 36px;
    height: 36px;
    background-color: var(--color);
}

.mandates__container > div {
    display: flex;
    gap: 2px;
    margin-bottom: 4px;
}
.mandates div {
    width: 100%;
}
.modal__file-link {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    margin-bottom: 4px;
}
.modal__file-icon {
    display: inline-block;
    width: 24px;
    height: 24px;
    background: url(./../images/download.svg) center center no-repeat;
}
.modal__file-link:first-child {
    margin-top: 30px;
}
.modal__file-link:last-child {
    margin-bottom: 30px;
}
.leaflet-popup-close-button {
    width: 36px !important;
    height: 36px !important;
    font-size: 36px !important;
}
@media only screen and (max-device-width: 480px) {
    .map-modal__inner {
        padding: 16px 16px 0 16px;
    }
    .map-search-container {
        margin-left: 0 !important;
        padding: 0 !important;
        gap: 4px;
        display: flex !important;
        justify-content: start;
        align-items: center;
    }
    .switch-group {
        gap: 2px;
    }
    .map-input-container input {
        max-width: min(310px, calc(100dvw - 60px));
    }
    .header__inner h1 {
        font-size: 18px;
        height: 18px;
    }
    .header {
        height: 110px;
    }
    .header__inner {
        padding-top: 0 !important;
        gap: 10px;
    }
    .header__inner > div > span {
        font-size: 12px;
    }
    .header__logo {
        margin-top: auto;
        width: 80px;
        height: 50px;
        margin-left: 8px;
        margin-top: 8px;
    }
    .switch-group {
        /* flex-direction: column; */
        font-size: 10px;
    }
    .map-switch-container,
    .map-input-container,
    .map-select-container,
    .map-search-select {
        max-width: calc(100vw - 16px);
        width: 100%;
        justify-content: start;
        margin-left: 0 !important;
    }
    .leaflet-control-container > div {
        padding: 0 8px;
    }
    .map-input-title {
        font-size: 12px;
    }
    .map-input-container:not(.map-switch-container) {
        padding: 4px 10px;
    }
    #map {
        width: 100dvw;
        height: calc(100vh - 110px);
    }
    .header__inner > div > span:last-child {
        max-width: 260px;
    }
}
